Skip to main content
POST
ListProposals

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request to list proposals for an organization

organizationId
string<uuid>

id of the organization

query
string | null

optional partial search string matched against name and client_name (ILIKE)

Required string length: 1 - 256
page
string<int64> | null

page of results to return, one-based. defaults to the first page when not set

perPage
string<int64> | null

nr of items per page, defaults to 20 when not set

Response

Success

response containing a paginated list of proposals

items
Proposal · object[]

list of proposals

totalFound
string<int64>

total number of proposals matching the request

totalPages
string<int64>

total number of pages for all results

currentPage
string<int64>

current page in the results